/**
 * @file
 * Subtheme specific CSS.
 */

* {
    margin: 0;
    padding: 0;
}

html, body {
  height: 100%;
  background: white;
  font-weight: 100;

}
body, p, a, li {
  font-family: 'Montserrat', sans-serif !important;
}

a {
  text-decoration: none;
}

.navbar-toggler {
  display: block !important;
  z-index: 1;
  margin-top: -30px;
  margin-right: -15px;
  color: black !important;
  font-weight: 300;
  font-size: 16px;
}

.navbar-toggler.collapsed {
  margin: 0;
  color: white !important;
}

.navbar-toggler .fa-bars::before {
  content: "\f057";
  font-weight: 400;
  color: white !important;
}

.collapsing {
-webkit-transition: height 0s ease;
-o-transition: height 0s ease;
transition: height 0s ease;
}

.navbar-toggler.collapsed .fa-bars::before {
  content: "\f0c9";
  font-weight: 900;
}

.navbar-brand {
  font-weight: 600;
  white-space: normal;
  width: 265px;
  line-height: 1.1;
  text-transform: uppercase;
  position: relative;
  padding-left: 40px;
}

.navbar-brand:before {
  background: repeating-linear-gradient( to right, white, white 6px, #2F1A45 6px, #2F1A45 12px );
  content: '';
  width: 30px;
  position: absolute;
  top: -5px;
  left: 0;
  height: 50px;
}

.site-name-slogan {
  text-transform: uppercase;
  white-space: normal;
  width: 160px;
  line-height: normal;
  position: relative;
  font-weight: 300;
}

.site-name-slogan:before {
  content: '';
  border-left: solid 1px white;
  height: 44px;
  position: absolute;
  top: -13px;
  left: 0;
}

#CollapsingNavbar .block-menu {
  position: fixed;
  top: 0;
  right: 0;
  background: #2F4350;
  bottom: 0;
  overflow: auto;
}

#CollapsingNavbar .block-menu .navbar-nav {
  margin-bottom: 20px;
}

#CollapsingNavbar .block-menu .navbar-nav a {
  padding: 8px 15px;
  border-bottom: solid 1px #ccc;
  text-transform: uppercase;
}

#CollapsingNavbar .block-menu .navbar-nav a:hover,
#CollapsingNavbar .block-menu .navbar-nav a.is-active {
  background: black;
}

#CollapsingNavbar .block-menu .navbar-nav span.nav-link {
  text-transform: uppercase;
  font-weight: 700;
  padding: 0 15px;
  font-size: 20px;
  height: 77px;
  background: black;
  line-height: 5;
  color: white;
}


#CollapsingNavbar .block-menu .navbar-nav a:before {
  font-weight: 900;
  font-family: Font Awesome\ 5 Free;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  display: inline-block;
  font-style: normal;
  font-variant: normal;
  text-rendering: auto;
  margin-right: 3px;
  content: '\f0da';
}

.path-frontpage {
  background: black url('/sites/default/files/cupandsaucer-manitoulin.jpg') no-repeat center center fixed;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
}

.path-frontpage:before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color:rgba(0, 0, 0, 0.5);
}

.path-frontpage #header {
  display: none;
}

#header {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  color: white;
  z-index: 120;
}

#header a {
  color: white;
}

.green {
  color: #15511D;
}

.purple-bg {
  background-color: #7E42FF;
}

.orange {
  color: #FF5100 !important;
}

#navbar-main {
  background-color:rgba(0, 0, 0, 0.5) !important;
  padding: 5px 1rem .5rem 1rem;
}

.container-fluid {
  padding: 0;
  overflow: hidden;
}

#sidebar_first {
  position: absolute;
  top: 0;
  left: 0;
  width: 400px;
  max-width: 90%;
  display: none;
}

.site-footer {
  position: relative;
  width: 100%;
  padding: 0 0 30px;
}

.site-footer__bottom {
  background: white;
  text-align: center;
  margin: 0;
  padding: 10px;
}

.site-footer__bottom .block {
  margin: 0;
}
.site-footer__bottom .content {
  padding: 0;
}

.site-footer .content, .site-footer h2 {
  color: black !important;
}

.site-footer .content a,
.site-footer .content a.is-active,
.site-footer .content a:hover,
.site-footer .content a:focus {
  color: black;
  text-decoration: none;
}


#page, #main-wrapper,
.region-primary-menu .menu-item a.is-active,
.region-primary-menu .menu-item--active-trail a {
  background: transparent !important;
}

#block-homepage {
  margin-top: 50px;
  margin-bottom: 50px;
  position: relative;
}

.leaflet-popup-content-wrapper {
  border-radius: 0;
}
.leaflet-container {
  font: inherit;
}

.path-destinations #block-tgne-page-title {
    display: none;
}

.leaflet-popup-content {
  width: 360px !important;
  margin: 5px;
}

.leaflet-bottom.leaflet-right {
  display: flex;
  flex-direction: column;
  align-items: end;
}

.leaflet-bottom.leaflet-right .leaflet-control-attribution {
  order: 1;
  font-size: 12px;
  color: #333;
}


.toolbar-tray-open #header {
  top: 80px;
}

#destination_details {
  position: fixed;
  top: 68px;
  left: 0;
  bottom: 0;
  z-index: 130;
  background: white;
  width: 400px;
  max-width: 50%;
  display: none;
  line-height: 1.4;
}

#destination_details h2.node__title {
  font-size: 1.2rem;
  text-transform: uppercase;
  margin: 5px 0;
  padding-left: 15px;
}

#destination_details .node > .close {
  position: absolute;
  top: 50%;
  right: -15px;
  height: 60px;
  padding: 2px;
  border: solid 1px black;
  line-height: 56px;
  opacity: 0.9;
  background: white;
}

#destination_details .field--name-field-main-image {
  float: none;
  margin: 0;
  border-width: 0 !important;
  padding: 0 !important;
}

#destination_details img {
  max-width: 100%;
  height: auto;
  margin: 0;
}

#destination_details .node {
  display: flex;
  flex-direction: column;
  height: 100%;
}

#destination_details .node__content  {
  flex: 1;
  overflow-y: scroll;
}

#destination_details .node__content > .field {
  border-bottom: solid 1px #ccc;
  padding: 10px 15px;
}

#destination_details .field--name-field-subtitle {
  font-size: 1.3rem;
  line-height: 1.2;
}

#destination_details .field__label {
  font-weight: 600;
}

#destination_details .paragraph > div {
  display: inline;
}
#destination_details .paragraph .field--name-field-title {
  font-weight: 600;
}

#destination_details p.address {
  margin: 0;
}

#destination_details .dest-links {
  display: none;
  height: 100%;
  width: 100%;
  position: fixed;
  z-index: 1;
  left: 0;
  top: 67px;
  background-color: rgb(0,0,0);
  background-color: rgba(0,0,0, 0.7);
  overflow-x: hidden;
}

#destination_details .dest-links .content {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  width: 300px;
  background: white;
}

#destination_details .dest-links h2 {
  border-bottom: solid 1px #ccc;
  padding-bottom: 5px;
}

#destination_details .dest-links ul {
  margin: 0;
  padding: 0;
}

#destination_details .dest-links ul li {
  padding: 6px 10px;
  font-size: 16px;
  border-bottom: solid 1px #ccc;
  font-weight: 400;
}

#destination_details .dest-links ul li i {
  width: 24px;
}

.node--type-page #content {
    position: absolute;
    top: 52%;
    left: 50%;
    transform: translate(-50%,-50%);
}

.node--type-page #content > .section {
  background-color:rgba(255, 255, 255, 0.8);
  max-width: 1024px;
  margin: 0 auto;
  padding: 20px;
  height: 80vh;
  overflow-y: scroll;
}

.ui-widget.ui-widget-content {
  z-index: 150;
}

.geolocation-map-container.leaflet-container .leaflet-top, .geolocation-map-container.leaflet-container .leaflet-bottom {
  z-index: 100;
}

.ui-dialog .ui-dialog-titlebar-close {
    top: -9px;
    right: -16px;
    background: black;
    border-radius: 50%;
    border: solid 2px white;
    height: 30px;
    width: 30px;
    outline: none;
    cursor: pointer;
}

.ui-dialog .ui-dialog-titlebar-close:before {
  content: "\f00d";
  font-family: "Font Awesome 5 Free";
  color: white;
  font-weight: 900;
}

.ui-dialog .ui-dialog-titlebar {
    background: none;
    border-width: 0 0 1px 0;
    text-transform: uppercase;
}

.ui-dialog .ui-dialog-content {
  padding: 2em 4em;
  font-weight: 400;
  letter-spacing: 0.5px;
}

.views-field-field-videos .field-content > div {
  display: inline-block;
}

.view-destinations .row img {
  max-width: 100%;
  height: auto;
}

.menu-dest {
  cursor: pointer;
  display: block;
  margin-bottom: 0.25em;
}

@media all and (min-width: 768px) {
  .site-footer {
    position: absolute;
    bottom: 0;
    left: 0;
  }
  #block-homepage {
    margin-top: 100px;
    margin-bottom: 0;
  }
}

@media all and (min-width: 1480px) {
  #block-homepage {
    margin-top: 200px;
  }
}
